/*
 *  DVDSubEdit and this code is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  DVDSubEdit and this code are distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

#include "stdafx.h"
#include "DVDSubEdit.h"
#include "DVDSubEditDlg.h"
#include "VobUtils.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDVDSubEditApp

BEGIN_MESSAGE_MAP(CDVDSubEditApp, CWinApp)
	//{{AFX_MSG_MAP(CDVDSubEditApp)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDVDSubEditApp construction

CDVDSubEditApp::CDVDSubEditApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CDVDSubEditApp object

CDVDSubEditApp theApp;
extern bool Annoy;

/////////////////////////////////////////////////////////////////////////////
// CDVDSubEditApp initialization

BOOL CDVDSubEditApp::InitInstance()
{
	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.
if(Annoy) AfxMessageBox("InitInstance1");

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	AfxInitRichEdit();
	CDVDSubEditDlg dlg;
	m_pMainWnd = &dlg;

	// Now let's parse the command line.
	bool AutomaticOpen = false;
	if(__argc > 1)
	{
		int i,j;
		for(i=1,j=0;i<__argc && j<10;i++)
		{
//AfxMessageBox(__argv[i]);
			if(__argv[i][0] == '-')
			{
				switch(__argv[i][1])
				{
				case 'F' : dlg.m_CMDOpenFullDomain = true ; break;
				case 'A' : dlg.m_CMDOpenFullDomain = AutomaticOpen = true ; break;
				}
			}
			else
				dlg.m_CMDInputFile[j++] = __argv[i];
		}
		ASSERT(dlg.m_CMDInputFile != 0);
		dlg.m_CMDInputFile[j] = 0;
		if(strcmpi(GetExt(dlg.m_CMDInputFile[0]),".ifo") == 0) AutomaticOpen = true;
	}

	if(AutomaticOpen)
	{
		dlg.m_CMDOpenFullDomain = true;
		// Search the directory for the largest VTS, and open that one in full domain.
		char Dir[1024];
		strcpy(Dir,GetDirPath(dlg.m_CMDInputFile[0]));
		CVTSLoader Loader;
		int i, i0;
		int MaxSize = 0;
		for(i=i0=1;i<100;i++)
		{
			Loader.LoadVTS(i,Dir);
			if(MaxSize < Loader.m_TitlesetSize) MaxSize = Loader.m_TitlesetSize, i0=i;
		}
		Loader.LoadVTS(i0,Dir);
		strcpy(dlg.m_CMDInputFile[0],CatPath(Dir,Loader.GetFileName(i0,1)));
		dlg.m_CMDInputFile[1]=0;
	}

//while(1)Sleep(10);
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

int CDVDSubEditApp::ExitInstance() 
{	
	// Making sure we return 0 no matter what.
	return 0;
}
