#if !defined(AFX_MISCDIALOGS_H__4A2C78DD_AA88_495F_81E9_CB343EFDAB6B__INCLUDED_)
#define AFX_MISCDIALOGS_H__4A2C78DD_AA88_495F_81E9_CB343EFDAB6B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CApplyToAllDlg dialog

class CSubPicEngine;
#include "DVDSubEditDlg.h"

class CApplyToAllDlg : public CDialog
{
// Construction
public:
	CApplyToAllDlg(CWnd* pParent = NULL);   // standard constructor

	CSubPicEngine*	m_Engine;

	void			ResetAllCheck();
	bool			AnyChecked();

	//{{AFX_DATA(CApplyToAllDlg)
	enum { IDD = IDD_APPLYTOALLDLG };
	BOOL	m_ApplyVMove;
	BOOL	m_ApplyHMove;
	BOOL	m_ApplyStart;
	BOOL	m_ApplyTransp;
	BOOL	m_ApplyBorders;
	BOOL	m_ApplyDuration;
	BOOL	m_ApplyColor;
	int		m_MinMax;
	CString	m_Duration;
	BOOL	m_ApplyCrop;
	BOOL	m_ApplyFade;
	BOOL	m_ApplyHide;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApplyToAllDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CApplyToAllDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CMoveDlg : public CDialog
{
// Construction
public:
	CMoveDlg(CWnd* pParent = NULL);   // standard constructor

	CDVDSubEditDlg*	m_Engine;
	bool			m_RetimeAll;
	int				m_CurSel;
	long			m_ThisVOBU;
	long			m_ThisPTS;
	float			m_SliderRangeS;

	void			ResetAllCheck();
	bool			AnyChecked();

	void			ShowFrameForThisOffset(float OffsetSecs);

	//{{AFX_DATA(CMoveDlg)
	enum { IDD = IDD_MOVEDLG };
	CSliderCtrl	m_MoveSlider;
	CComboBox	m_MoveSelect;
	float	m_ChangeTimingBy;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMoveDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CMoveDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeAbsolute();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKillfocusMoveamount();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CPickColorDlg : public CDialog
{
// Construction
public:
	CPickColorDlg(CWnd* pParent = NULL);   // standard constructor

	CDVDSubEditDlg*	m_Engine;
	char*			m_WindowTitle;
	int				m_SelectedCol;
	int				m_InitSelectedCol;
	int				m_WhichPixel;
	CRect			m_MyRect;
	uchar*			m_OrigCLUT[48];
	bool			m_ClutMemorized;

	//{{AFX_DATA(CPickColorDlg)
	enum { IDD = IDD_PICKCOLOR };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPickColorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CPickColorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	void OnColClick(UINT nID);
	DECLARE_MESSAGE_MAP()
};

class CSetupDlg : public CDialog
{
// Construction
public:
	CSetupDlg(BOOL Recenter, CWnd* pParent = NULL);   // standard constructor

	CDVDSubEditDlg*	m_Engine;
	char	m_Brackets[16];
	void	SetBrackets();
	DWORD	m_DefBackgroundColor;

	//{{AFX_DATA(CSetupDlg)
	enum { IDD = IDD_SETUP };
	int		m_FPS;
	BOOL	m_Recenter;
	BOOL	m_AlignBottom;
	BOOL	m_BracketSquare;
	BOOL	m_BracketParen;
	BOOL	m_BracketNotes;
	BOOL	m_Italics;
	BOOL	m_RemoveColumns;
	BOOL	m_WarnOnBitmapImport;
	int		m_SpaceSelect;
	BOOL	m_CaseSensitive;
	BOOL	m_AskForIFO;
	BOOL	m_AlertClosedCaptions;
	BOOL	m_AutoDisplay;
	float	m_RetimeSliderRange;
	int		m_CropBorderPixelsX;
	int		m_CropBorderPixelsY;
	CString	m_BitmapEditTool;
	CString	m_BitmapEditToolArgs;
	BOOL	m_EditBitmapAs24;
	BOOL	m_UseTruePTS;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	

protected:

	//{{AFX_MSG(CSetupDlg)
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnBackgdcol();
	afx_msg void OnCancel();
	virtual void OnOK();
	afx_msg void OnSetBMPEditToolPath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	BOOL	OnToolTipNotify( UINT id, NMHDR * pNMHDR, LRESULT * pResult );
	DWORD	m_InitBackgroundColor;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MISCDIALOGS_H__4A2C78DD_AA88_495F_81E9_CB343EFDAB6B__INCLUDED_)
